Wonder
post/svc/payment/api/v1/openapi/open_payments

Create a transaction

Directly make a transaction without any UI. If you already Create an order, then just simply pass the reference number. else allows you pass the order object to create order when make payment.

After payment completed(successful or failure), we will send Webhook to your server.

Whether to create the order in advance is only related to your system process, and there is no difference whatsoever.

Header parameters

X-Skip-Signature
string

Example: TRUE

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

object
charge_feerequired
string

The amount you charge your customers

Example: 1.00

tips
string

Additional tips to be paid by customers

Example: 1.00

currencyrequired
string

currency code, eg HKD

reference_numberrequired
string

your side unique number

due_date
string

If this date is exceeded, the order will be automatically voided

Example: 2024-01-01

note
string

Note information for the order, needs to be less than 255 characters

array<object>

If you wish to display additional line item information

callback_url
string

The address of the backend webhook

Example: https://your.domain/foo/bar

redirect_url
string

The redirection address after the payment link is completed

Example: https://your.domain/foo/bar

is_only_pre_auth
boolean
object

The timeout logic only can be used by creating payment link

save_this_card
boolean

A flag that determines whether to offer tokenize card choise. This function is only triggered when set to true and customer is specified

required
object
uuid
string

unique payment id

object
object
object
object
reference_number
string

order reference number

Responses

coderequired
integer
required
object
required
object
messagerequired
string